/* === Blog page === */

.blog-post
	background: $white
	+box-shadow(inset 0 0 0 1px $darkgray)
	margin-bottom: 42px

	> h2
		padding: 21px 21px 0
		text-align: center
		font-weight: 300

		> a:hover
			color: $red


	> figure
		position: relative
		margin: 0

		> figcaption
			position: absolute
			top: 42px
			left: 42px
			width: 63px
			height: 63px
			+box-shadow(0 0 0 4px $white)
			text-align: center
			text-transform: uppercase
			color: $white
			font-size: 1.25em
			line-height: 1.2em

			> time
				padding-top: 7px
				display: block
				> b
					font-size: 0.75em
					position: relative
					top: -7px

.article-meta
	background: $black

	> ul
		+pie-clearfix()

		> li
			float: left
			padding: 10.5px 0
			width: (100 / 3) * 1%
			+box-shadow(1px 0 0 lighten($black, 20%))

			> a
				display: table
				margin: 0 auto
				padding: 10.5px
				color: lighten($black, 40%)
				padding-left: 42px
				text-transform: uppercase

				&:hover
					color: lighten($black, 60%)

				> b
					color: $red

.blog-autor a
	background: url(../img/blog_helper.png) 0 0 no-repeat

.blog-comments a
	background: url(../img/blog_helper.png) 0 -42px no-repeat

.blog-category a
	background: url(../img/blog_helper.png) 0 -84px no-repeat

.post-content
	padding: 21px
	padding-top: 0

.read-more
	color: $text-blue
	text-transform: uppercase

	&:hover
		color: lighten($text-blue, 10%)

.main-sidebar
	padding-left: 21px
	+box-sizing(border-box)

.widget
	margin-bottom: 3em

.category-widget
	
	> li
		+box-shadow(0 1px 0 lighten($black, 60%))
		text-transform: uppercase
		padding-right: 21px

		&:first-child
			+box-shadow(0 1px 0 lighten($black, 60%), 0 -1px 0 lighten($black, 60%))

		> a
			padding: 10.5px 0
			display: block
			position: relative
			+transition(all 0.4 ease-out)

			&:before
				content: '\276F'
				position: absolute
				top: 50%
				right: -21px
				color: $brown
				width: 21px
				height: 21px
				display: block
				margin-top: -10.5px
				font-size: 1.5em
				text-align: right
				+opacity(0)


			&:hover
				color: $brown

				&:before
					+opacity(1)
.archive-widget

	> li
		&:first-child
			+box-shadow( 0 -1px 0 lighten($black, 60%))

		> label
			+box-shadow(0 1px 0 lighten($black, 60%))
			display: block
			position: relative
			+user-select(none)

			&:after
				content: '+'
				position: absolute
				top: 50%
				right: 0
				width: 21px
				height: 21px
				text-align: right
				display: block
				margin-top: -10.5px
				font-size: 21px

		> input[type=radio]
			display: none

			&:checked
				~ label
					color: $brown
					+box-shadow(0 1px 0 rgba($black, 0.2s))

					&:after
						content: '-'

				~ div
					max-height: 200px !important
					height: auto
					+box-shadow(0 1px 0 rgba($black, 0.2s))

		> div
			+box-sizing(content-box)
			overflow: hidden
			height: 0
			+transition(all 0.6s ease-out)

			> p
				padding: 21px
				padding-bottom: 0

.tags-widget
	+pie-clearfix()

	> li
		float: left
		margin-right: 7px
		margin-bottom: 10.5px
		list-style: none

		> a
			display: block
			padding: 5.25px 10.5px
			+box-shadow( inset 0 0 0 2px $black)

			&:hover
				+box-shadow(none)
				background: $brown
				color: $white

.pagination
	> ul
		+pie-clearfix()

		> li
			float: left
			margin-right: 7px

			> a
				width: 31.5px
				height: 31.5px
				display: block
				+box-shadow( inset 0 0 0 2px $darkgray)
				text-align: center
				line-height: 2.25em

				&:hover
					+box-shadow(none)
					background: $red
					color: $white

		.pag-prev, .pag-next
			margin: 0 21px
			> a
				width: auto
				padding: 0 7px
				+box-shadow( inset 0 0 0 2px $black)

		.pag-prev
			margin-left: 0

		.pag-next
			margin-left: 14px
		.pag-selected a
			+box-shadow(none)
			background: $red
			color: $white

.share-blog
	+pie-clearfix()
	> ul
		background: lighten($black, 90%)
		+inline-block
		list-style: none
		float: right
		padding: 5.25px 7px

		&:hover
			a
				+scale(1)
				width: 21px
				height: 21px

		> li
			float: left
			margin: 0 3px

			> a
				+squish-text()
				width: 0px
				display: block
				background-image: url(../img/social-icons.png)
				background-color: lighten($black, 70%)
				+scale(0)

				&:hover
					background-color: $red
					+transition(background-color 0.4s ease-out)

			> a[title=Facebook]
				background-position: 0 0

			> a[title=Twitter]
				background-position: -21px 0

			> a[title=Pinterest]
				background-position: -42px 0

.comment-box
	background: $white
	+box-shadow(inset 0 0 0 1px $darkgray)

.comment-form
	background: lighten($black, 93%)
	padding: 21px

	> h3
		text-align: center

	label
		display: block
		padding: 0
		margin: 0
		text-transform: uppercase

	input
		background: $white
		width: 100%
		+box-sizing(border-box)
		+box-shadow(0 0 0 1px lighten($black, 80%))

		&:focus
			+box-shadow(0 0 0 1px lighten($black, 70%))

	textarea
		background: $white
		+box-shadow(0 0 0 1px lighten($black, 80%))
		margin-left: 0 !important
		height: 105px

		&:focus
			+box-shadow(0 0 0 1px lighten($black, 70%))

	button
		width: 105px !important
		height: 105px !important
		color: $red
		margin-left: 20px
		position: relative
		right: -21px

		&:hover
			background: $red !important

			span
				background-position: -42px 0

.coments-post
	background: $white

	h3
		padding: 42px
		margin: 0


.comment-items
	padding: 42px
	+box-shadow(0 -1px 0 $darkgray)

	figure
		margin-bottom: 0

	p
		margin-bottom: 0

	> li

		> ul
			padding-left: 63px

			> li

				> ul
					padding-left: 42px

.meta-comments
	+pie-clearfix()
	margin: 0

	> li
		float: left
		margin-right: 21px

		&:last-child
			float: right
			margin-right: 0

		.reply-link
			color: $darkgray

			&:hover
				color: $red

		> h4 a
			color: $text-blue
			font-weight: 300

.comment-container
	+pie-clearfix()
	+box-shadow(0 1px 0 $darkgray)
	padding: 21px 0
